Loading...
Searching...
No Matches
juce::dsp::LadderFilter< SampleType > Class Template Reference

## Detailed Description

template<typename SampleType>
class juce::dsp::LadderFilter< SampleType >

Multi-mode filter based on the Moog ladder filter.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_LadderFilter.h

## Public Types

using | Mode = LadderFilterMode

## Public Member Functions

| LadderFilter ()
| Creates an uninitialised filter.
void | setEnabled (bool isEnabled) noexcept
| Enables or disables the filter.
void | setMode (Mode newMode) noexcept
| Sets filter mode.
void | prepare (const ProcessSpec &spec)
| Initialises the filter.
size_t | getNumChannels () const noexcept
| Returns the current number of channels.
void | reset () noexcept
| Resets the internal state variables of the filter.
void | setCutoffFrequencyHz (SampleType newCutoff) noexcept
| Sets the cutoff frequency of the filter.
void | setResonance (SampleType newResonance) noexcept
| Sets the resonance of the filter.
void | setDrive (SampleType newDrive) noexcept
| Sets the amount of saturation in the filter.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Protected Member Functions

SampleType | processSample (SampleType inputValue, size_t channelToUse) noexcept
void | updateSmoothers () noexcept

## Member Typedef Documentation

## Mode

template<typename SampleType>

using juce::dsp::LadderFilter< SampleType >::Mode = LadderFilterMode

## Constructors and Destructors

## LadderFilter()

template<typename SampleType>

juce::dsp::LadderFilter< SampleType >::LadderFilter | ( |  | ) |

Creates an uninitialised filter.

Call prepare() before first use.

## Member Functions

## setEnabled()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setEnabled | ( | bool | isEnabled | ) |

inline noexcept

Enables or disables the filter.

If disabled it will simply pass through the input signal.

## setMode()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setMode | ( | Mode | newMode | ) |

noexcept

Sets filter mode.

## prepare()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the filter.

## getNumChannels()

template<typename SampleType>

size_t juce::dsp::LadderFilter< SampleType >::getNumChannels | ( |  | ) | const

inline noexcept

Returns the current number of channels.

Referenced by process().

## reset()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::reset | ( |  | ) |

noexcept

Resets the internal state variables of the filter.

## setCutoffFrequencyHz()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setCutoffFrequencyHz | ( | SampleType | newCutoff | ) |

noexcept

Sets the cutoff frequency of the filter.

Parameters

  newCutoff | cutoff frequency in Hz

References setCutoffFrequencyHz().

Referenced by setCutoffFrequencyHz().

## setResonance()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setResonance | ( | SampleType | newResonance | ) |

noexcept

Sets the resonance of the filter.

Parameters

  newResonance | a value between 0 and 1; higher values increase the resonance and can result in self oscillation!

References setResonance().

Referenced by setResonance().

## setDrive()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setDrive | ( | SampleType | newDrive | ) |

noexcept

Sets the amount of saturation in the filter.

Parameters

  newDrive | saturation amount; it can be any number greater than or equal to one. Higher values result in more distortion.

References setDrive().

Referenced by setDrive().

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::LadderFilter< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

References getNumChannels(), jassert, process(), processSample(), and updateSmoothers().

Referenced by process().

## processSample()

template<typename SampleType>

SampleType juce::dsp::LadderFilter< SampleType >::processSample | ( | SampleType | inputValue,
|  | size_t | channelToUse )

protected noexcept

Referenced by process().

## updateSmoothers()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::updateSmoothers | ( |  | ) |

protected noexcept

Referenced by process().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited